#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 structured
version:              0.1.1
visibility:           public
id:                   structured-0.1.1-9hRzMXu34XD2L5ryG7W8S4
key:                  structured-0.1.1-9hRzMXu34XD2L5ryG7W8S4
license:              BSD-3-Clause
maintainer:           Oleg Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
synopsis:             Structure (hash) of your data types
description:
    Calculate the hash of a data structure.
    It can be used as a magic number for the serialization formats.
    See <https://hackage.haskell.org/package/binary-tagged binary-tagged>
    for a @binary@ bindings.

category:             Data
abi:                  78c1a302c335809e9983e3a6f02a419e
exposed:              True
exposed-modules:      Data.Structured Data.Structured.Internal
hidden-modules:       Data.Structured.MD5
import-dirs:          /usr/lib/ghc-9.2.8/site-local/structured-0.1.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/structured-0.1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-structured
hs-libraries:         HSstructured-0.1.1-9hRzMXu34XD2L5ryG7W8S4
depends:
    aeson-2.1.2.1-3rgGDwZqcHL8RNfGOD8e99 array-0.5.4.0 base-4.16.4.0
    base16-bytestring-1.0.2.0-KyQYnWM7W62FsS4cncZoMW binary-0.8.9.0
    bytestring-0.11.4.0 containers-0.6.5.1
    hashable-1.4.4.0-EsPTAmPpYqX3hovcHlHOLX
    scientific-0.3.7.0-1j3FKEOO1AWBjqM65TX7Sj
    tagged-0.8.9-KXBukbFHRBNBMyyfjfj7aP text-1.2.5.0
    time-compat-1.9.6.1-B3BnoEMkUVPvereBtkXcD transformers-0.5.6.2
    unordered-containers-0.2.20-3olzmtJszxXc2LJr1lW5F
    uuid-types-1.0.6-J0DTbmmPJ4NExOxtFmVr8X
    vector-0.13.1.0-IOwb1qSGKSdHIyg7Qp7MNu

haddock-interfaces:   /usr/share/doc/haskell-structured/html/structured.haddock
haddock-html:         /usr/share/doc/haskell-structured/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

